Printer installation Issue - hplip-3.20.5 Ubuntu 20.04 Failed to read PPD file

by Jeremy Pisanic   Last Updated May 21, 2020 17:02 PM - source

I recently installed Ubuntu 20.04 (fresh install) and installed hplip version 3.20.5 to connect my printer. Upon running hp-setup (gui) finds my printer and to click next but I run into an error below:

Searching... (bus=usb, search=(None), desc=0)
error: Unable to communicate with device (code=12): hpfax:/usb/OfficeJet_Pro_6970?serial=TH83O1P0WG
error: Unable to communicate with the device. Please check the device and try again.
Traceback (most recent call last):
  File "/usr/share/hplip/ui5/setupdialog.py", line 1104, in readwriteFaxInformation
    d.open()
  File "/usr/share/hplip/base/device.py", line 1185, in open
    raise Error(ERROR_DEVICE_NOT_FOUND)
base.g.Error: ('Device not found', 2)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/hplip/ui5/setupdialog.py", line 1305, in NextButton_clicked
    self.showAddPrinterPage()
  File "/usr/share/hplip/ui5/setupdialog.py", line 729, in showAddPrinterPage
    self.readwriteFaxInformation()
  File "/usr/share/hplip/ui5/setupdialog.py", line 1108, in readwriteFaxInformation
    if QMessageBox.critical(self,
TypeError: critical(QWidget, str, str, buttons: Union[QMessageBox.StandardButtons, QMessageBox.StandardButton] = QMessageBox.Ok, defaultButton: QMessageBox.StandardButton = QMessageBox.NoButton): argument 5 has unexpected type 'StandardButtons'
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 130, in apport_excepthook
    with open(pr_filename, 'rb') as f:
PermissionError: [Errno 13] Permission denied: '/var/crash/_usr_share_hplip_setup.py.1000.crash'

Original exception was:
Traceback (most recent call last):
  File "/usr/share/hplip/ui5/setupdialog.py", line 1104, in readwriteFaxInformation
    d.open()
  File "/usr/share/hplip/base/device.py", line 1185, in open
    raise Error(ERROR_DEVICE_NOT_FOUND)

When I run hp-check i get the following:

OfficeJet_Pro_6970_TH83O1P0WG_

Type: Unknown
Device URI: implicitclass://OfficeJet_Pro_6970_TH83O1P0WG_/
PPD: /etc/cups/ppd/OfficeJet_Pro_6970_TH83O1P0WG_.ppd
warning: Failed to read /etc/cups/ppd/OfficeJet_Pro_6970_TH83O1P0WG_.ppd ppd file
PPD Description: 
Printer status: printer OfficeJet_Pro_6970_TH83O1P0WG_ is idle.  enabled since Thu 21 May 2020 08:04:45 AM PDT
warning: Printer is not HPLIP installed. Printers must use the hp: or hpfax: CUPS backend for HP-Devices.

I enabled permissions for the ppd file but still same problem. Any thoughts would be appreciated.

Note: I'm an amateur so assume I know nothing and please give me step by step. Thanks so much.



Related Questions


Problem with printing (hplip) in Ubuntu 14.04

Updated April 21, 2015 00:00 AM

ubuntu 16.04 cups problem 2

Updated December 16, 2016 08:01 AM



apt-get hangs while installing hplip

Updated March 03, 2017 09:02 AM